%define api 1.0
%define major 6
%define libname %mklibname gdict %{api} %{major}
%define develname %mklibname -d gdict %{api}

Summary: GNOME utility programs such as file search and calculator
Name: gnome-utils
Epoch: 1
Version: 3.2.1
Release: 1
License: GPLv2+ and GFDL
Group:  Graphical desktop/GNOME
URL: http://www.gnome.org/softwaremap/projects/gnome-utils/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz

BuildRequires:	gnome-common
BuildRequires:	gnome-doc-utils
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
#BuildRequires:	pkgconfig(ice)
BuildRequires:	libice-devel
BuildRequires:	pkgconfig(libcanberra-gtk3)
BuildRequires:	pkgconfig(libgtop-2.0)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)

%description
GNOME is the GNU Network Object Model Environment. This powerful
environment is both easy to use and easy to configure.

GNOME Utilities is a collection of small applications all there to make
your day just that little bit brighter - System Log Viewer, 
Search Tool, Dictionary.

%package -n %{libname}
Group: System/Libraries
Summary: GNOME dictionary shared library

%description -n %{libname}
This is the shared library required by the GNOME Dictionary.

%package -n %{develname}
Group: Development/C
Summary: GNOME dictionary library development files
Requires: %{libname} = %{EVRD}
Provides: libgdict1.0-devel = %{EVRD}

%description -n %{develname}
This is the shared library required by the GNOME Dictionary.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--disable-scrollkeeper \
	--disable-schemas-install

%make LIBS='-lgmodule-2.0 -lgthread-2.0'

%install
rm -rf %{buildroot}
%makeinstall_std
rm -rf %{buildroot}/var
rm -fv %{buildroot}%{_bindir}/test-reader

# make gnome-system-log use consolehelper until it starts using polkit
./mkinstalldirs %{buildroot}%{_sysconfdir}/pam.d
/bin/cat <<EOF >%{buildroot}%{_sysconfdir}/pam.d/gnome-system-log
#%%PAM-1.0
auth		include		system-auth
account		include		system-auth
session		include		system-auth
EOF

./mkinstalldirs %{buildroot}%{_sysconfdir}/security/console.apps
/bin/cat <<EOF >%{buildroot}%{_sysconfdir}/security/console.apps/gnome-system-log
USER=root
PROGRAM=/usr/sbin/gnome-system-log
SESSION=true
FALLBACK=true
EOF

./mkinstalldirs %{buildroot}%{_sbindir}
/bin/mv %{buildroot}%{_bindir}/gnome-system-log %{buildroot}%{_sbindir}
/bin/ln -s /usr/bin/consolehelper %{buildroot}%{_bindir}/gnome-system-log

%{find_lang} %{name}-2.0 --with-gnome --all-name


%files -f %{name}-2.0.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/security/console.apps/gnome-system-log
%{_sysconfdir}/pam.d/gnome-system-log
%{_sysconfdir}/gconf/schemas/gnome-search-tool.schemas
%{_bindir}/baobab
%{_bindir}/gnome-dictionary
%{_bindir}/gnome-font-viewer
%{_bindir}/gnome-panel-screenshot
%{_bindir}/gnome-screenshot
%{_bindir}/gnome-search-tool
%{_bindir}/gnome-system-log
%{_bindir}/gnome-thumbnail-font
%{_sbindir}/gnome-system-log
%{_datadir}/applications/*
%{_datadir}/baobab/
%{_datadir}/GConf/gsettings/gnome-screenshot.convert
%{_datadir}/GConf/gsettings/logview.convert
%{_datadir}/gdict*
%{_datadir}/glib-2.0/schemas/org.gnome.baobab.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.dictionary.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-screenshot.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-system-log.gschema.xml
%{_datadir}/gnome-dictionary/
%{_datadir}/gnome-screenshot
%{_datadir}/gnome-utils
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/pixmaps/*
%{_datadir}/thumbnailers/gnome-font-viewer.thumbnailer
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libgdict-%{api}.so.%{major}*

%files -n %{develname}
%{_libdir}/libgdict*.so
%{_libdir}/pkgconfig/gdict*.pc
%{_datadir}/gtk-doc/html/gdict
%{_includedir}/gdict*



%changelog
* Mon Mar 05 2012 Matthew Dawkins <mattydaw@mandriva.org> 1:3.2.1-1
+ Revision: 782208
- new version 3.2.1
- cleaned up spec

* Sun May 08 2011 Funda Wang <fwang@mandriva.org> 1:2.32.0-2
+ Revision: 672444
- fix build with latest gtk

  + Oden Eriksson <oeriksson@mandriva.com>
    - mass rebuild

  + John Balcaen <mikala@mandriva.org>
    - Fix BR for libcanberra-gtk-devel

  + Götz Waschk <waschk@mandriva.org>
    - remove old configure option

* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 1:2.32.0-1mdv2011.0
+ Revision: 581641
- update to new version 2.32.0

* Thu Aug 05 2010 Götz Waschk <waschk@mandriva.org> 1:2.31.1-1mdv2011.0
+ Revision: 566208
- update to new version 2.31.1

* Tue Mar 30 2010 Götz Waschk <waschk@mandriva.org> 1:2.30.0-1mdv2010.1
+ Revision: 529775
- update to new version 2.30.0
- update build deps

* Thu Mar 11 2010 Götz Waschk <waschk@mandriva.org> 1:2.29.5-2mdv2010.1
+ Revision: 518017
- remove dep on gnome-mount

* Wed Jan 13 2010 Götz Waschk <waschk@mandriva.org> 1:2.29.5-1mdv2010.1
+ Revision: 490789
- new version

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 1:2.28.1-1mdv2010.0
+ Revision: 458891
- Release 2.28.1

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 1:2.28.0-1mdv2010.0
+ Revision: 446731
- update to new version 2.28.0

* Wed Sep 09 2009 Frederic Crozat <fcrozat@mandriva.com> 1:2.27.91-3mdv2010.0
+ Revision: 435276
- Start gnome-system-log as root (idea from Fedora) (Mdv bug #53534)

* Mon Aug 31 2009 Götz Waschk <waschk@mandriva.org> 1:2.27.91-2mdv2010.0
+ Revision: 422812
- new version
- drop patch
- update deps

* Mon Jun 15 2009 Götz Waschk <waschk@mandriva.org> 1:2.27.2-1mdv2010.0
+ Revision: 386034
- new version
- rediff the patch
- update build deps

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 1:2.27.1-1mdv2010.0
+ Revision: 374191
- new version
- drop patches 2,3,4,6
- fix format strings
- remove gfloppy
- update build deps

* Tue Mar 17 2009 Götz Waschk <waschk@mandriva.org> 1:2.26.0-1mdv2009.1
+ Revision: 356307
- update to new version 2.26.0

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 1:2.25.92-1mdv2009.1
+ Revision: 347293
- update to new version 2.25.92

* Mon Feb 02 2009 Götz Waschk <waschk@mandriva.org> 1:2.25.90-1mdv2009.1
+ Revision: 336719
- new version
- rediff patch 6

* Fri Jan 09 2009 Götz Waschk <waschk@mandriva.org> 1:2.25.2-1mdv2009.1
+ Revision: 327529
- new version
- add log viewer schema file

* Fri Jan 09 2009 Götz Waschk <waschk@mandriva.org> 1:2.25.1-1mdv2009.1
+ Revision: 327385
- new version
- drop patches 0,1
- update patch 6
- remove old icons
- update file list
- drop old deps

* Sat Dec 20 2008 Götz Waschk <waschk@mandriva.org> 1:2.25.0-1mdv2009.1
+ Revision: 316426
- new version
- update patch 3
- drop patch 5
- fix build

* Sun Nov 09 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.24.1-4mdv2009.1
+ Revision: 301532
- rebuilt against new libxcb

* Thu Nov 06 2008 Götz Waschk <waschk@mandriva.org> 1:2.24.1-3mdv2009.1
+ Revision: 300183
- rebuild for new  gnome-desktop

* Sun Nov 02 2008 Olivier Blin <blino@mandriva.org> 1:2.24.1-2mdv2009.1
+ Revision: 299302
- do not hardcode icon extension in gnome-dictionary.desktop
  (not allowed by XDG desktop entry spec, reported as Gnome #558980)

* Tue Oct 21 2008 Götz Waschk <waschk@mandriva.org> 1:2.24.1-1mdv2009.1
+ Revision: 295928
- update to new version 2.24.1

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 1:2.24.0-1mdv2009.0
+ Revision: 286813
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 1:2.23.92-1mdv2009.0
+ Revision: 282595
- new version

* Mon Aug 25 2008 Götz Waschk <waschk@mandriva.org> 1:2.23.90-1mdv2009.0
+ Revision: 276012
- new version
- drop patch 3
- new major
- update build deps

* Wed Jul 23 2008 Götz Waschk <waschk@mandriva.org> 1:2.20.0.1-4mdv2009.0
+ Revision: 242273
- update license
- update build deps

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 1:2.20.0.1-3mdv2009.0
+ Revision: 218423
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
- do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.20.0.1-3mdv2008.1
+ Revision: 178729
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Tue Sep 18 2007 Götz Waschk <waschk@mandriva.org> 1:2.20.0.1-1mdv2008.0
+ Revision: 89519
- new version

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 1:2.20.0-1mdv2008.0
+ Revision: 88994
- new version

* Thu Sep 13 2007 Frederic Crozat <fcrozat@mandriva.com> 1:2.19.92-2mdv2008.0
+ Revision: 85137
- Patch4: unmount floppy before trying to format it (Mdv bug #24590)

* Thu Sep 06 2007 Götz Waschk <waschk@mandriva.org> 1:2.19.92-1mdv2008.0
+ Revision: 81012
- new version
- fix desktop entries

* Mon Aug 27 2007 Götz Waschk <waschk@mandriva.org> 1:2.19.91-1mdv2008.0
+ Revision: 71766
- new version
- drop patch 3

  + Frederic Crozat <fcrozat@mandriva.com>
    - Patch3: fix Desktop location when using XDG dir (Mdv bug #32776)
    - Remove old menu file
    - Hide most tools in KDE menu

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 1:2.19.90-1mdv2008.0
+ Revision: 62995
- new version
- new devel name

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 1:2.18.1-1mdv2008.0
+ Revision: 14420
- new version


* Sun Mar 11 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 141417
- new version

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 1:2.17.92-1mdv2007.1
+ Revision: 120225
- new version
- fix file list

* Wed Jan 24 2007 Götz Waschk <waschk@mandriva.org> 1:2.17.91-1mdv2007.1
+ Revision: 112848
- new version

* Tue Jan 23 2007 Götz Waschk <waschk@mandriva.org> 1:2.17.90-3mdv2007.1
+ Revision: 112517
- useless release bump
- bot rebuild
- new version

* Tue Jan 09 2007 Götz Waschk <waschk@mandriva.org> 1:2.17.1-1mdv2007.1
+ Revision: 106309
- new version
- readd gdict documentation

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 1:2.17.0-4mdv2007.1
+ Revision: 87906
- bot rebuild
- rebuild
- fix buildrequires
- new version
- new version

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 1:2.16.1-3mdv2007.1
+ Revision: 63839
- rebuild
- unpack patches
- Import gnome-utils

* Fri Oct 06 2006 Götz Waschk <waschk@mandriva.org> 1:2.16.1-1mdv2007.0
- New version 2.16.1

* Thu Sep 14 2006 Emmanuel Andry <eandry@mandriva.org> 1:2.16.0-2mdv2007.0
- diff patch 2 to fix bug #24587

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 1:2.16.0-1mdv2007.0
- New release 2.16.0

* Sun Aug 27 2006 Gtz Waschk <waschk@mandriva.org> 2.15.94-1mdv2007.0
- update file list
- New release 2.15.94

* Tue Aug 22 2006 Frederic Crozat <fcrozat@mandriva.com> 1:2.15.93-1mdv2007.0
- Release 2.15.93

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 1:2.15.92-1mdv2007.0
- New release 2.15.92

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 1:2.15.91-1mdv2007.0
- New release 2.15.91

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 1:2.15.90-2mdv2007.0
- Rebuild with latest dbus

* Wed Jul 26 2006 Gtz Waschk <waschk@mandriva.org> 2.15.90-1mdv2007.0
- xdg menu
- new major
- drop patch 2
- New release 2.15.90

* Thu Jun 15 2006 Gtz Waschk <waschk@mandriva.org> 2.15.4-2mdv2007.0
- fix buildrequires

* Thu Jun 15 2006 Götz Waschk <waschk@mandriva.org> 1:2.15.4-1mdv2007.0
- New release 2.15.4

* Wed Jun 14 2006 Gtz Waschk <waschk@mandriva.org> 2.15.3-1mdv2007.0
- add icons
- bump major
- patch to add missing files
- New release 2.15.3

* Sun Jun 04 2006 Gtz Waschk <waschk@mandriva.org> 2.15.0-2mdv2007.0
- fix buildrequires

* Sat Jun 03 2006 Frederic Crozat <fcrozat@mandriva.com> 1:2.15.0-1mdv2007.0
- Release 2.15.0

* Thu Apr 20 2006 Gtz Waschk <waschk@mandriva.org> 2.14.0-2mdk
- fix buildrequires

* Wed Apr 19 2006 Frederic Crozat <fcrozat@mandriva.com> 1:2.14.0-1mdk
- Release 2.14.0
- Remove patch 2 (merged upstream)

* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 1:2.12.2-4mdk
- Patch2: fix gsearchtool crash when nautilus isn't installed
- Disable HAL on old distributions

* Mon Jan 30 2006 Olivier Blin <oblin@mandriva.com> 2.12.2-3mdk
- use pam_unix instead of obsolete pam_pwdb

* Thu Jan 26 2006 Frederic Crozat <fcrozat@mandriva.com> 1:2.12.2-2mdk
- Rebuild with latest dbus
- use mkrel

* Mon Nov 28 2005 Gtz Waschk <waschk@mandriva.org> 2.12.2-1mdk
- drop merged patch 1
- New release 2.12.2

* Thu Oct 13 2005 Frederic Crozat <fcrozat@mandriva.com> 1:2.12.1-2mdk
- Patch1: don't freeze logview when /dev/tty* is in syslog.conf

* Sat Oct 08 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-1mdk
- Release 2.12.1

* Tue Jul 26 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-4mdk 
- Fix typo in preun (Mdk bug #16767)

* Tue Apr 26 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-3mdk 
- Add conflicts to ease upgrade (John Campbell)

* Sun Apr 24 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.10.1-2mdk
- add BuildRequires: libgnomeprintui-devel

* Sat Apr 23 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-1mdk 
- Release 2.10.1 (based on Gtz Waschk package)
- Remove patches 1 (use hal instead), 2 (merged upstream)

* Sat Apr 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-2mdk 
- Patch2: fix i18n init for windows name

* Wed Oct 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-1mdk
- New release 2.8.1
- Replace patch1 with fedora version (use glibc header to get major)

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-4mdk
- Fix menu

* Fri Jul 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.2-3mdk
- patch for using the right kernel headers

* Wed May 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.2-2mdk
- fix buildrequires

* Sat May 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-1mdk
- New release 2.6.2

* Fri Apr 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-2mdk
- fix buildrequires

* Wed Apr 21 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- New release 2.6.1

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz help)
- Remove patch1 (merged upstream)

